package com.ejie.ad74a.model.avisos;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * AvisosBajaBenef
 * 
 * @author UDA
 */

@XmlRootElement(name = "AvisosCambioDomic")
@XmlType(propOrder = { "idAviso", "codProvincia", "codMunicipio", "codLocalidad", "codCalle", "codPortal", "piso",
		"letra" })
public class AvisosCambioDomic implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// NORA
	private Long codProvincia;
	private Long codMunicipio;
	private Long codLocalidad;
	private Long codCalle;
	private Long codPortal;
	private String piso;
	private String letra;

	@XmlElement(name = "codProvincia", nillable = true)
	public Long getCodProvincia() {
		return codProvincia;
	}

	public void setCodProvincia(Long codProvincia) {
		this.codProvincia = codProvincia;
	}

	@XmlElement(name = "codMunicipio", nillable = true)
	public Long getCodMunicipio() {
		return codMunicipio;
	}

	public void setCodMunicipio(Long codMunicipio) {
		this.codMunicipio = codMunicipio;
	}

	@XmlElement(name = "codLocalidad", nillable = true)
	public Long getCodLocalidad() {
		return codLocalidad;
	}

	public void setCodLocalidad(Long codLocalidad) {
		this.codLocalidad = codLocalidad;
	}

	@XmlElement(name = "codCalle", nillable = true)
	public Long getCodCalle() {
		return codCalle;
	}

	public void setCodCalle(Long codCalle) {
		this.codCalle = codCalle;
	}

	@XmlElement(name = "codPortal", nillable = true)
	public Long getCodPortal() {
		return codPortal;
	}

	public void setCodPortal(Long codPortal) {
		this.codPortal = codPortal;
	}

	@XmlElement(name = "piso", nillable = true)
	public String getPiso() {
		return piso;
	}

	public void setPiso(String piso) {
		this.piso = piso;
	}

	@XmlElement(name = "letra", nillable = true)
	public String getLetra() {
		return letra;
	}

	public void setLetra(String letra) {
		this.letra = letra;
	}

}
